Subject: Re: bug#46416: 27.1; syntax-propertize fails in mhtml-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 16 Jun 2022 16:24:11 +0200

Leo Liu <[email-masked]> writes:

> 1. emacs -q -l test.el
> 2. Create a new buffer in mhtml-mode
> 3. Add the following two lines:
>
>    %%var1%%
>    "%%var2%%"
>
> 4. Inspect the syntax of the % char (C-u C-x =) on both lines
>
> % in double quotes has word syntax which seems unexpected.

I'm unable to reproduce this -- all the % signs have

  general-category: Po (Punctuation, Other)

syntax, as far as I can tell (both in Emacs 27.1 and 29).  So I seem to
be unable to reproduce this problem.  Are you still seeing this in
recent Emacs versions, and if so, do you have a complete recipe to
reproduce it?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no